Bug 783064 - Review Request: python-omniORB - A robust high performance CORBA ORB for Python
Review Request: python-omniORB - A robust high performance CORBA ORB for Python
Status: CLOSED DUPLICATE of bug 1065758
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On: 783061
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-19 03:57 EST by Haïkel Guémar
Modified: 2014-02-16 12:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-16 12:46:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Haïkel Guémar 2012-01-19 03:57:09 EST
Spec URL: http://hguemar.fedorapeople.org/diet/python-omniORB.spec
SRPM URL: http://hguemar.fedorapeople.org/diet/python-omniORB-3.6-1.fc16.src.rpm
Description: omniORB is a CORBA 2.6 compliant open source implementation for python (requires omniORB to be reviewed first)
Comment 1 Michael Scherer 2012-03-24 10:46:21 EDT
Is this package planned to be sent to EPEL ?

If not, can you :
- remove BuildRoot
- remove %defattr, %clean and the rm in %install

For python, you need to say what version of python you need ( ie python2 or 3 ) for the buildRequires.

You can also drop the snippet for python_sitelib, as they are now already set.

The patch should have a mention of being sent upstream ( url, mail ).
Comment 2 Haïkel Guémar 2012-03-24 15:09:21 EDT
Yes I plan to push this into EPEL5+ (since omniORB is already there). I fixed the BR (didn't know that EL5 python already provided python2), python_sitelib is only defined for EL5. A mail has been sent to the maintainer for both omniORB and python-omniORB about the FSF address issue, a comment was added.

new spec and src.rpm: 
Spec URL: http://hguemar.fedorapeople.org/diet/python-omniORB.spec
SRPM URL:
http://hguemar.fedorapeople.org/diet/python-omniORB-3.6-1.fc16.src.rpm
Comment 3 Michael Scherer 2012-03-24 15:45:19 EDT
You should add the url to download the tarball :
http://fedoraproject.org/wiki/Packaging:SourceURL#Sourceforge.net

And rpmlint complain :
python-omniORB-examples.noarch: W: doc-file-dependency /usr/share/doc/python-omniORB-examples-3.6/examples/poa/mainthread.py /usr/bin/env

python-omniORB-debuginfo.i686: E: debuginfo-without-sources

python-omniORB.i686: W: private-shared-object-provides /usr/lib/python2.7/site-packages/_omnicodesetsmodule.so.3.6 _omnicodesetsmodule.so.3
Comment 4 Haïkel Guémar 2012-03-24 17:07:45 EDT
1. download url fixed
2. for the examples, i'm unsure of where i should put them (especially since they're noarch). I'm open to any suggestions.
3. the provides is now filtered and should not appear anymore

spec and src.rpm updated. (still the same url)
Comment 5 Michael Scherer 2012-03-25 05:04:12 EDT
For the example, wouldn't removing the permission to execute be sufficient ?

The debuginfo issue is maybe listed on https://fedoraproject.org/wiki/Packaging:Debuginfo , and is a MUST, so should be fixed.
Comment 6 Eberhard Leba 2012-04-02 05:23:46 EDT
Seems the omniORBpy-devel package is missing.
files:
/usr/lib/python2.6/site-packages/omniidl_be/python.py
/usr/lib/python2.6/site-packages/omniidl_be/python.pyc
/usr/lib/python2.6/site-packages/omniidl_be/python.pyo

# -*- python -*-
#                           Package   : omniidl
# python.py                 Created on: 1999/10/29
#                           Author    : Duncan Grisby (dpg1)
.....
# Description:
#
#   Back-end for Python
Comment 7 Jaromír Talíř 2012-05-08 03:59:36 EDT
Is there any progress in having python-omniorb in Fedora together with the rest of omniorb packages? Any help needed?
Comment 8 Richard Shaw 2014-02-15 21:55:42 EST
I'm not sure how successful I'll be just yet, but I'm attempting to package salome which requires this package. Let me know if you need any help.
Comment 9 Sandro Mani 2014-02-16 10:50:31 EST
Haïkel, if you are not actively working on this anymore, I'm happy to continue the effort. I have an updated SPEC and SRPM here:
Spec URL: http://smani.fedorapeople.org/review/python-omniORB.spec
SRPM URL:
http://smani.fedorapeople.org/review/omniORBpy-3.7-1.fc21.src.rpm
Comment 10 Haïkel Guémar 2014-02-16 12:35:35 EST
Thank you Sandro, feel free to take over (may i offer you we exchange acls, since i already maintain omniORB ?).
I'm on the verge of burnout and won't cling to a package that is very low in my priority list.
Comment 11 Sandro Mani 2014-02-16 12:43:54 EST
No problem with comaintaining omniORB (is this is what you meant by "exchanging acls"?). As for this package, I'll start a new review-request and close this as duplicate. Take care.
Comment 12 Sandro Mani 2014-02-16 12:46:10 EST

*** This bug has been marked as a duplicate of bug 1065758 ***

Note You need to log in before you can comment on or make changes to this bug.